[med-svn] [Git][med-team/python-epimodels][master] 5 commits: d/rules: Respect nocheck build profile for tests

Nilesh Patra (@nilesh) gitlab at salsa.debian.org
Sat Jul 3 18:30:29 BST 2021



Nilesh Patra pushed to branch master at Debian Med / python-epimodels


Commits:
ab4584c5 by Nilesh Patra at 2021-07-03T22:32:59+05:30
d/rules: Respect nocheck build profile for tests

- - - - -
c63e334b by Nilesh Patra at 2021-07-03T17:09:18+00:00
d/control: Add python3-numba and python3-matplotlib to Depends

- - - - -
668e2e09 by Nilesh Patra at 2021-07-03T17:09:29+00:00
Add autopkgtests

- - - - -
9d38e57d by Nilesh Patra at 2021-07-03T17:10:15+00:00
d/control: B-D on python3-all instead of python3

- - - - -
376151a1 by Nilesh Patra at 2021-07-03T17:11:13+00:00
Upload to unstable

- - - - -


5 changed files:

- debian/changelog
- debian/control
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,14 @@
+python-epimodels (0.3.18-3) unstable; urgency=medium
+
+  * Team Upload.
+  * Add autopkgtests
+  * d/rules: Respect nocheck build profile for tests
+  * d/control:
+    - Add python3-numba and python3-matplotlib to Depends
+    - B-D on python3-all instead of python3
+
+ -- Nilesh Patra <nilesh at debian.org>  Sat, 03 Jul 2021 17:10:20 +0000
+
 python-epimodels (0.3.18-2) unstable; urgency=medium
 
   * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,


=====================================
debian/control
=====================================
@@ -5,7 +5,7 @@ Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.
 Uploaders: Andreas Tille <tille at debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3,
+               python3-all,
                python3-setuptools,
                python3-matplotlib <!nocheck>,
                python3-numba <!nocheck>,
@@ -21,7 +21,7 @@ Rules-Requires-Root: no
 Package: python3-epimodels
 Architecture: all
 Section: python
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, python3-numba, python3-matplotlib
 Description: simple interface to simulate mathematical epidemic models in Python3
  This library provides a simple interface to simulate mathematical
  epidemic models in Python3.  It is a precondition for the program


=====================================
debian/rules
=====================================
@@ -6,6 +6,11 @@ export PYBUILD_NAME=epimodels
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test
+endif
+
 override_dh_install:
 	dh_install
 	find debian -name .coverage -delete


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, python3-all, python3-pytest
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+pkg=python-epimodels
+CUR_DIR=`pwd`
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+cp -a ${CUR_DIR}/tests/ "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+for py in $(py3versions -s 2> /dev/null)
+do
+	$py -m pytest -v
+done



View it on GitLab: https://salsa.debian.org/med-team/python-epimodels/-/compare/f97c9313f78d34c35247b05bda02bca9683443f0...376151a117cb1bbc9d184c615423f4da6384624b

-- 
View it on GitLab: https://salsa.debian.org/med-team/python-epimodels/-/compare/f97c9313f78d34c35247b05bda02bca9683443f0...376151a117cb1bbc9d184c615423f4da6384624b
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210703/6c945d30/attachment-0001.htm>


More information about the debian-med-commit mailing list